org.eclipse.graphiti.palette.impl

## Class StackEntry

- java.lang.Object
- - org.eclipse.graphiti.palette.impl.AbstractPaletteEntry
  - - org.eclipse.graphiti.palette.impl.StackEntry

All Implemented Interfaces:
  IPaletteEntry, IStackToolEntry, IToolEntry

    public class StackEntry
    extends AbstractPaletteEntry
    implements IStackToolEntry

The Class StackEntry creates a compartment entry which visualises as a drawer in the palette containing multiple tools in a drop down list of which one is active and visible.

### Constructor Summary

Constructors
Constructor and Description
`StackEntry(String label, String description, String iconId)` Creates a new `StackEntry`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCreationToolEntry(ICreationToolEntry creationToolEntry)` Adds a creation tool to the stack entry.
`List<ICreationToolEntry>` `getCreationToolEntries()` Returns the creation tools.
`String` `getDescription()` Gets the description.

### Methods inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteEntry

`getIconId, getLabel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

### Constructor Detail

#### StackEntry

    public StackEntry(String label,
                      String description,
                      String iconId)

Creates a new `StackEntry`.

Parameters:
  `label` - the text to display
  `description` - the tooltip text
  `iconId` - the id for the icon

### Method Detail

#### getDescription

    public String getDescription()

Gets the description.

Specified by:
  `getDescription` in interface `IStackToolEntry`
Returns:
  the description

#### getCreationToolEntries

    public List<ICreationToolEntry> getCreationToolEntries()

Returns the creation tools.

Specified by:
  `getCreationToolEntries` in interface `IStackToolEntry`
Returns:
  the creation tool entries

#### addCreationToolEntry

    public void addCreationToolEntry(ICreationToolEntry creationToolEntry)

Adds a creation tool to the stack entry.

Parameters:
  `creationToolEntry` - the creation tool entry